Page MenuHomePhabricator

South Azerbaijani code in CLDR
Open, Needs TriagePublic

Description

13 Months ago I asked CLDR to support South Azerbaijani language, see ticket:8437 in CLDR and it was added under the same code as ethnologue we use here for Wikipedia, see rev 11654 in CLDR, It turned out Shervin Afshar who is one of CLDR commit accessee, is one of Persian Wikipedia's users aka User:Shervinafshar, once a discussion started on Persian Wikipedia see and being called a secessionist by User:Behaafarid, shervin changed code to az_Arab, thanks to @Nikerabbit and @Reedy for fixing rebuild.php in caf6312ab36dec44977ac61a9b52d04eb58ba472 from CLDR extension but for an example check out CldrNames/CldrNamesCkb.php translations for the language name still stands in az-arab, either need to fix that or change the code, but also conflict codes ends up nothing in major translator engins.

Thanks.

Event Timeline

Mjbmr created this task.May 23 2016, 8:13 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 8:13 PM
Nemo_bis added a comment.EditedMay 24 2016, 5:54 AM

Thanks for working with CLDR. Could you split the description in multiple sentences? I can't parse it.

You're welcome, just leave the description,

Issue:

CLDR extension: Even tho rebuild.php was fixed to create CldrNamesAzb.php instead of CldrNamesAz_arab.php in caf6312ab36d strings in other CldrNames*.php files were not fixed. For example 'az-arab' => 'ئازەربایجانی باشووری', should be 'azb' => 'ئازەربایجانی باشووری', in CldrNamesCkb.php.

  • Cause: Different policies in Wikimedia and CLDR.
  • Further issues: People translated az-arab to "Azerbaijani (Arab)" not "South Azerbaijani" in CLDR which won't match our azb.wikipedia.org.
  • More issues not related here but important: In html tags some website uses lang="az-arab" some lang="azb" which won't help the language much.
  • Solutions:
    1. Fix rebuild.php somehow to replace az-arab with azb in all files.
    2. Rename language code from azb to az-arab.
    3. Join CLDR so can ask them to use azb instead of az-arab.

Note: It's not all about me or South Azerbaijani language, I wanted to help other languages as well while I had time, and the issue could exist with other languages, not sure and I was not the cause of it, it's what people in CLDR call it policy.

Also I have something else important in my mind I'll spread it out once CLDR submission is closed.

Mjbmr updated the task description. (Show Details)May 26 2016, 8:08 AM

az-arab and azb are conceptually different things: -arab should define a mere script variant of the same language, while azb should be a different language (which is always hard to define, but certainly requires more than a script variation). Which of the two does the azb locale currently contain in MediaWiki?

Anyway, I guess we could add the az-arab locale with azb as fallback and then decide a logic for rebuild.php to alias CLDR stuff to MediaWiki codes?